6.0.0-git
2021-01-18

[#10896] Permissions
Summary Permissions
Queue Horde Groupware Webmail Edition
Queue Version 4.0.5
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester matthewstephenson1 (at) hotmail (dot) com
Created 2012-01-04 (3302 days ago)
Due
Updated 2012-01-05 (3301 days ago)
Assigned
Resolved 2012-01-05 (3301 days ago)
Milestone
Patch No

History
2012-01-05 10:15:45 Jan Schneider Assigned to Jan Schneider
State ⇒ Resolved
 
2012-01-05 10:14:28 Git Commit Comment #3 Reply to this comment
Changes have been made in Git for this ticket:

[jan] Sort user and group names in permission screen (Request #10896).

  6 files changed, 28 insertions(+), 10 deletions(-)
http://git.horde.org/horde-git/-/commit/54805bee537d73dddaaf65807a3d96533057e0c2
2012-01-04 14:40:58 matthewstephenson1 (at) hotmail (dot) com Comment #2 Reply to this comment
also forgot to mention that the file in question is:-

horde/templates/shares/edit.inc
2012-01-04 14:39:30 matthewstephenson1 (at) hotmail (dot) com Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Permissions
Queue ⇒ Horde Groupware Webmail Edition
Milestone ⇒
Patch ⇒ No
Reply to this comment
When listing users/groups in a shares/permissions screen the list of 
users/groups is not sorted alphabetically, but more randomly.

I suggest ksort($userperms); on line 174 prior to: foreach ($userperms 
as $user => $uperm) {

and then ksort($groupperms); on line 274 prior to: foreach 
($groupperms as $group => $gperm):

Saved Queries